Maven 3.11 – New Drones Supported

This update is focused on supporting new drones
-DJI Mini 2
-DJI Air 2S
-DJI Mini SE

All functions of the app are available with the new drones

Added on-screen Exposure Lock Button 

Small bug fix and performance improvements

For sure this is the most anticipated update ever, Mini 2 owners are so many! and this puts us in front of a huge amount of new potential customers that we already welcome.

We are really excited about this update but it doesn’t stop us from working on future developments right now.

I invite all new customers to watch this video to get a small preview of the potential of the app, and then visit the tutorial section of the site.

If you are new to Maven, I inform you that there is a group on FB where to discuss, exchange information and useful tricks on how to use Maven or simply share your own videos made with Maven. https://www.facebook.com/groups/938321600163115/

or check the official Maven FB page to stay up to date on upcoming updates! https://www.facebook.com/mavenPilot

Previous Update 3.10

17 Replies to “Maven 3.11 – New Drones Supported”

  1. I am running version 3.11.1
    I am trying to use the app with a DJI mini 2
    I reach the screen that shows my drone and says “ Tap to connect” but nothing happens when I tap.
    Any suggestions?

  2. The geofencing part is not working with my app for the Mini2. I select it from the dots at the top of the screen and it does not give me the option to create new it’s literally just a pic grass and that’s it. Am I missing something. Please help

    1. geofence must be defined by the “geofence” button on the main app screen.
      Then you can activate the geofence from the “geofence” button you are using, (the one in the piloting screen you access from the button with three dots)

  3. I understand it is a big task, but can I please ask if you are working on an Android version? If so, how far through with building the features are you, e.g. 50% of features built, etc? I really think if you could get a minimum viable version built and put it on the play store people would buy, knowing you are building the features towards the iOS app

  4. I thought this App supported DJI Spark, but I don’t see Spark mentioned anywhere. Is it true, Spark is NOT supported?

Leave a Reply

Your email address will not be published.